﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DimaDelete.XDima;

namespace DimaDelete
{
    class Program
    {
        static void Main(string[] args)
        {
            runSample();
        }

        private static void runSample() {

	        // Step 1: Initialize PTV xDima client
	        XDimaWSService xDimaClient = new XDimaWSService();

	        // Step 2. Select existing dimaID in order to delete the correct Dima<1001>.
	        int dimaID = 1001;

	        try 
            {
	            // Step 3: call method deleteDima(). Corresponding folder (e.g. 0000) will be deleted in directory "basic_path/data/dima".
			    Console.WriteLine("Start to delete dima<1001>...");
	            xDimaClient.deleteDima(dimaID, null);
                Console.WriteLine("Dima <1001> is deleted.");
	        } 
            catch (Exception e) 
            {
	            // TODO: proper exception handling
	        } 
        }
    }
}
