﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DimaExport.XDima;

namespace DimaExport
{
    class Program
    {
        static void Main(string[] args)
        {
            runSample();
        }

        private static void runSample()
        {
            // Step 1: Initialize PTV xDima client
		    XDimaWSService xDimaClient = new XDimaWSService();

		    // Step 2: Set the existing dima ID
		    int dimaID = 1001;

		    try 
            {
			    // Step 3: Call method exportDima()
			    Console.WriteLine("Start to export Dima...");
			    xDimaClient.exportDima(dimaID, FileType.TEXT_ASCII, "locationTable.txt", "distanceTable.txt", null);		
			    // Step 4: Output lies in the corresponding folder of PTV xDima Server.  
			    Console.WriteLine("Dima <ID=1001> is found. Check your output in ./dima/export");
		    } 
            catch (Exception e) 
            {
                // TODO: proper exception handling
		    } 
        }
    }
}
